/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;
import org.oasisopen.sca.annotation.OneWay;
import org.oasisopen.sca.annotation.Remotable;

/**
 * A test service interface
 * @author Di Zhong
 *
 */
@Remotable
@Callback(Service4Callback.class)
public interface Service4 {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 */
	public String operation1( String input );

    /**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * one way service
	 */
    @OneWay
	public void onewayOperation1( String input );


}
