/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_4001_TestCase
 * 
 * The SCA runtime MUST support the default JMS wire format and operation selector
 * behavior, and MAY provide additional means to override it
 * 
 * Test that default wire format and operation selector elements present on a binding.jms element 
 * are not rejected. The actual behaviour of the defaults are tested in more detail other test cases.
 * 
 * This test uses the JMS test runner to send a JMS message to the test composite's service.
 */
public class BJM_4001_TestCase extends BaseJMSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	JMSTestConfiguration config = new JMSTestConfiguration();
    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
    	config.input             = "BJM_4001 request message";
    	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked with BJM_4001 request message</return>";
    	config.composite         = "Test_" + config.testName + ".composite";
//    	config.testServiceName   = "TestClient";
    	config.contributionNames = new String[] { "BJM_4001", "BJM_General", "BJM_General" + _Lang };
//    	config.serviceInterface  = TestInvocation.class;

    	config.destinationName   = "TEST_BJM_4001_Queue";

    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
}  // end class BJM_4001_TestCase
