/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_4002_1_TestCase
 * 
 * If no operationSelector element is specified then SCA runtimes MUST use
 * operationSelector.jmsDefault as the default
 *
 * In this case we are testing the sub-case:
 * If there is only one operation on the service's interface, then that operation is the selected operation name
 */

public class BJM_4002_1_TestCase extends BaseJMSTestRunner {
	
	   protected TestConfiguration getTestConfiguration() {
	    	JMSTestConfiguration config = new JMSTestConfiguration();
	    	config.testName          = this.getClass().getSimpleName().substring(0, 10);
	    	config.input             = "BJM_4002_1 request message";
	    	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked with BJM_4002_1 request message</return>";
	    	config.composite         = "Test_" + config.testName + ".composite";
	    	config.contributionNames = new String[] { "BJM_4002_1", "BJM_General", "BJM_General" + _Lang };
	        config.destinationName   = "TEST_BJM_4002_Queue";
	 
	    	return config;
	    }
	   	   
	    /**
	     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
	     */
	    @Ignore
	    @Test
	    public void testFoo() throws Exception {  	
	    }

}  // end class BJM_4002_1_TestCase
