/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import javax.jms.Message;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.junit.Ignore;
import org.junit.Test;

import testClient.TestInvocation;
import client.TestConfiguration;

/**
 * Client for BJM_6016_TestCase
 * 
 * For an SCA service with a JMS binding, when a callback request message is sent and
 * no callback destination can be identified then the SCA runtime SHOULD raise an error,
 * and MUST throw an exception to the caller of the callback operation
 * 
 */
public class BJM_6016_TestCase extends NamedReplyJMSTestRunner {

	protected TestConfiguration getTestConfiguration() {
    	NamedReplyJMSTestConfiguration config = new NamedReplyJMSTestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "BJM_6016", "BJM_General", "BJM_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
        config.destinationName   = "TEST_BJM_6016_Service_Queue";
        config.replyDestinationName = "TEST_BJM_6016_Reply_Queue";
        config.calloutDestinationName = config.replyDestinationName;
    	return config;
    }

	@Override
    public Message createRequestMessage( String input, Session sess ) throws Exception {
    	TextMessage msg = (TextMessage) super.createRequestMessage(input, sess);
    	return msg;
    }
	
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
}  // End test BJM_6016_TestCase
